summaryrefslogtreecommitdiffstats
path: root/debuginfo-tests/dexter/dex/builder/scripts/posix/clang-c.sh
diff options
context:
space:
mode:
Diffstat (limited to 'debuginfo-tests/dexter/dex/builder/scripts/posix/clang-c.sh')
-rwxr-xr-xdebuginfo-tests/dexter/dex/builder/scripts/posix/clang-c.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/debuginfo-tests/dexter/dex/builder/scripts/posix/clang-c.sh b/debuginfo-tests/dexter/dex/builder/scripts/posix/clang-c.sh
new file mode 100755
index 00000000000..f69f51cd86a
--- /dev/null
+++ b/debuginfo-tests/dexter/dex/builder/scripts/posix/clang-c.sh
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+set -e
+
+if test -z "$PATHTOCLANG"; then
+ PATHTOCLANG=clang
+fi
+
+for INDEX in $SOURCE_INDEXES
+do
+ CFLAGS=$(eval echo "\$COMPILER_OPTIONS_$INDEX")
+ SRCFILE=$(eval echo "\$SOURCE_FILE_$INDEX")
+ OBJFILE=$(eval echo "\$OBJECT_FILE_$INDEX")
+ $PATHTOCLANG -std=gnu11 -c $CFLAGS $SRCFILE -o $OBJFILE
+done
+
+$PATHTOCLANG $LINKER_OPTIONS $OBJECT_FILES -o $EXECUTABLE_FILE
OpenPOWER on IntegriCloud